#include "locmin.h"
#include "bits/stdc++.h"
std::pair <int, int> find_locmin_point(int N, int M) {
	if(M==1)return {1,1};
	if(M==2){
		if(value(1,1)<value(1,2))
			return {1,1};
		return {1,2};
	}else if(M==3){
		int a=value(1,1);
		int b=value(1,2);
		int c=value(1,3);
		if(a<b)return {1,1};
		if(c<b)return {1,3};
		return {1,2};
	}
	long long a=value(1,1);
	long long b=value(1,2);
	long long c=value(1,M-1);
	long long d=value(1,M);
	if(b>a)return {1,1};
	if(c>d)return {1,M};
	int bs=-1;
	for(int l=2,r=M;l<=r;){
		int mi=(l+r)>>1;
		if(value(1,mi-1)<value(1,mi)){
			bs=mi-1,r=mi-1;
		}
		else l=mi+1;
	}
	return {1,bs};
}
